Subject: Re: linux-next: manual merge of the staging tree with the tty tree

From: Samuel Iglesias Gonsálvez<[email-masked]>
Date: Thu, 13 Sep 2012 08:59:25 +0200

On Thu, 2012-09-13 at 16:14 +1000, Stephen Rothwell wrote:
> Hi Greg,
> 
> Today's linux-next merge of the staging tree got a conflict in
> drivers/staging/ipack/devices/ipoctal.c between commit 734cc1783816
> ("TTY: use tty_port_register_device") from the tty tree and commit
> 2afb41d9d30d ("Staging: ipack/devices/ipoctal: Check tty_register_device
> return value") from the staging tree.
> 
> I fixed it up (I think - see below) and can carry the fix as necessary
> (no action is required).
> 

Thanks Stephen.

I don't see tty_port_register_device in any header file in staging.

Is it defined in tty tree and it is not merged into staging tree?

Best regards,

Sam